#charset "us-ascii"

/*
 *   Copyright (c) 1999, 2002 by Michael J. Roberts.  Permission is
 *   granted to anyone to copy and use this file for any purpose.  
 *   
 *   This is a starter TADS 3 source file.  This is a complete TADS game
 *   that you can compile and run.
 *   
 *   To compile this game in TADS Workbench, open the "Build" menu and
 *   select "Compile for Debugging."  To run the game, after compiling it,
 *   open the "Debug" menu and select "Go."
 *   
 *   This is the "advanced" starter game - it has only the minimum set of
 *   definitions needed for a working game.  If you would like some more
 *   examples, create a new game, and choose the "introductory" version
 *   when asked for the type of starter game to create.  
 */

/* 
 *   Include the main header for the standard TADS 3 adventure library.
 *   Note that this does NOT include the entire source code for the
 *   library; this merely includes some definitions for our use here.  The
 *   main library must be "linked" into the finished program by including
 *   the file "adv3.tl" in the list of modules specified when compiling.
 *   In TADS Workbench, simply include adv3.tl in the "Source Files"
 *   section of the project.
 *   
 *   Also include the US English definitions, since this game is written
 *   in English.  
 */
#include <adv3.h>
#include <en_us.h>

/*
 *   Our game credits and version information.  This object isn't required
 *   by the system, but our GameInfo initialization above needs this for
 *   some of its information.
 *   
 *   IMPORTANT - You should customize some of the text below, as marked:
 *   the name of your game, your byline, and so on.  
 */
versionInfo: GameID
    name = 'Atopoesis'
    byline = 'by increparea'
    htmlByline = 'by <a href="http://www.increpare.com">
                  increpare</a>'
    version = '1.0'
    authorEmail = 'increpare <analytic@gmail.com>'
    desc = '<b>XXXXXXXXXXXXXXXXXXXXX</b>'
    htmlDesc = '<body bgcolor="black">&#x25a0;&#x25a0;&#x25a0;&#x25a0;&#x25a0;&#x25a0;&#x25a0;&#x25a0;&#x25a0;&#x25a0;&#x25a0;&#x25a0;&#x25a0;&#x25a0;&#x25a0;&#x25a0;&#x25a0;&#x25a0;&#x25a0;</html>'

    showCredit()
    {
        /* show our credits */
        "by Increpare, with thanks to Terry for motivation.";

        /* 
         *   The game credits are displayed first, but the library will
         *   display additional credits for library modules.  It's a good
         *   idea to show a blank line after the game credits to separate
         *   them visually from the (usually one-liner) library credits
         *   that follow.  
         */
        "\b";
    }
    showAbout()
    {
        "
        Seven nouns of\n
        eight, with-held\n
        unto us sufficed. ";
    }
;

/* 
 *   Starting location - we'll use this as the player character's initial
 *   location.  The name of the starting location isn't important to the
 *   library, but note that it has to match up with the initial location
 *   for the player character, defined in the "me" object below.
 *   
 *   Our definition defines two strings.  The first string, which must be
 *   in single quotes, is the "name" of the room; the name is displayed on
 *   the status line and each time the player enters the room.  The second
 *   string, which must be in double quotes, is the "description" of the
 *   room, which is a full description of the room.  This is displayed
 *   when the player types "look around," when the player first enters the
 *   room, and any time the player enters the room when playing in VERBOSE
 *   mode.  
 */
startRoom: Room 'The Central Chamber'
    firstTime=true
    desc 
    {
    		if (firstTime)
    		{
    	 		"All of your memories, all that you can recall now, all seem to take place in the same setting.\b
    	 		Birthday parties, college graduation, a divorce, all seem to have happened in the same site - you find yourself there, now.\b";
    	 		firstTime = false;
    	 	}
    	 	
		"You situate yourself within a central chamber.  \b
		
		There are eight doors leading out from this central chamber in the eight directions, 
		but you have already foreclosed on the possibility of four of them.";	
     }
     
    north = northRoom
    south = southRoom
    east = eastRoom    
    west = westRoom
    out = nil
;

eastRoom: Room 'The Easterly Promise (Springtime)'
	initDesc = "

	"
	firstTime =true
	desc
	 {
    		if (firstTime)
    		{
    	 		"
    	 		<b>Federal Bureau of Investigation\)</b>
			\b
			Continuation of FD-482 of <b>Source</b> on <b>05/01/1972</b>.\n
			\b
			Page <b>3</b> of <b>11</b>\n
			\b
			\(REDACTED VERSION\)\n
			\b
			The following investigation was carried out in Kansas City, Missouri, by <b>XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX</b>\n
			\b
			Having followed the suspect for four weeks, I managed to narrow down his whereabouts to being in the vicinity of 
			<b>XXXXXXXXXXXXXXXXXXX</b>.  The building was not secured, and I was able to enter it without drawing attention.  
			I noticed, on the walls outside 
			<b>XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX</b>\n
			\b
			<b>XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX</b>\n
			\b
			<b>XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX</b>\n
			\b
			I did not sense that there were any people present, and I made my way into the premises.
			";
    	 		firstTime = false;
    	 	}
    	 	
 		"The room was large, and well-lit. There is a large table in the corner.";
	
     }
     

	west = startRoom
	out asExit(west)
;

+ diningTable: Heavy, Platform 'large table' 'table'
    "On the table there is XXXXXXXXXXXXXX"
;

++ eastItem: Fixture, Thing '' 'XXXXXXXXXXX'
	""
;

westRoom: Room 'The Westerly Promise (Autumn)'
	firstTime=true
    desc 
    {
    		if (firstTime)
    		{
    	 		"
    	 		You find yourself 
    	 		Once upon a time there was a princess. 
    	 		\b
    	 		She had eyes like rainbows and lived in a kingdom of endless summer showers.
    	 		\b
    	 		On the day that she was to become a woman, her mother came to her.
    	 		\b
    	 		\"You cannot be a woman, cannot call yourself a true woman.\"
    	 		\b 
    	 		\"Not until you have managed to elicit the affection of a unicorn.\"
    	 		\b
    	 		She was such an obedient daughter to the Queen, she set out right away to find one.
    	 		\b
    	 		She searched high and low, and low and high, and high and high, and low and low, and yet she could not find one.
    	 		\b
    	 		Months passed.
    	 		\b
    	 		She asked the Kings of foreign lands, asked the beggars, asked the merchants, asked tax-collectors and prisoners, 
    	 		but nobody could tell her where she could find a unicorn.
    	 		\b
    	 		Months turned into years.
    	 		\b
    	 		She met a handsome and very wealthy young lord on her travels, who said he would assist her in her searches.
    	 		\b
    	 		He sent out all of his soldiers in all the different directions that there might be, and sent all of his scholars to search through all the libraries of the world, to see if they could figure out where the unicorns might be.
    	 		\b
    	 		Over the course of their travels and journeys, they grew to love each other very much.
    	 		\b
    	 		Their love grew and grew until nothing else seemed important.
    	 		\b
    	 		The princess eventually forgot all about unicorns.
    	 		\b 
    	 		They still sent out men, and paid for scholars, but nobody could remember why, or to do what.
    	 		\b
    	 		Soon they were married.
    	 		\b
    	 		When her mother died, they ruled the entire kingdom as King and Queen.
    	 		\b
    	 		And lived happily ever after.
    	 		\b
    	 		";
    	 		firstTime = false;
    	 	}
    	 	else
    	 	{
    	 		"You find yourself drifting off to sleep - 
    	 		\b
    	 		You think you can see a unicorn in the room with you.";
    	 	}
			
     }

	east = startRoom
	out asExit(east)
;

+ westItem: Unthing 'unicorn' 'unicorn' 
	notHereMsg = 'You hear your mother\'s voice, softly, gently :
	\b
	"Don\'t be foolish, my darling, there are no such things as unicorns -"
	\b
	"It was just a story."'
;

southRoom: Room 'The Southerly Promise (Winter)'

    firstTime=true
    desc 
    {
    		if (firstTime)
    		{
    	 		"<b>The Adventures of Francis Cisko</b>
    	 		\b
    	 		written by Arthur Harrison
    	 		\b
    	 		abridged edition by Charlotte Harrison
    	 		\b
    	 		\b
    	 		Stepping off the boat, he found himself staring out into the distance.  His goal was to go to the town to the south.  He notices a gold chest half-hidden in the sand.";
    	 		firstTime = false;
    	 	}
    	 	else
    	 	{
    	 		"He stands in a small cove.  It is his goal to go the town south.\b\bHe notices a gold chest half-buried in the sand.";
    	 	}	
     }

	north = startRoom
	south = farSouthRoom
	out asExit(north)
;

+ southItem: Unthing 'gold chest' 'gold chest' 
	notHereMsg = '[...]'
;

farSouthRoom: Room 'The final summit'
	desc
	{
	 "[...] 
	\b
	After several delightful adventures and bawdy gallivantings, you finally make it to the town.
	\b
	The townspeople greet you with great warmth, and in no time at all again you think you'll
	be fit enough to go on another adventure.
	\b
	<b>The End</b>
	";
	me.moveInto(startRoom);
	}
;

northRoom: Room 'The Northmost Promise (Dusk)'
	south = startRoom
	out asExit(south)
	
	
    firstTime=true
    desc 
    {
    		if (firstTime)
    		{
    	 		"You stand before G-d.";
    	 		firstTime = false;
    	 	}
    	 	else
    	 	{
    	 		"You stand before G-d.";
    	 	}	
     }
;


+ northItem: Unthing 'God' 'God' 
	notHereMsg = 'You must not worship G-d in this way.'
;

/*
 *   Define the player character.  The name of this object is not
 *   important, but note that it has to match up with the name we use in
 *   the main() routine to initialize the game, below.
 *   
 *   Note that we aren't required to define any vocabulary or description
 *   for this object, because the class Actor, defined in the library,
 *   automatically provides the appropriate definitions for an Actor when
 *   the Actor is serving as the player character.  Note also that we
 *   don't have to do anything special in this object definition to make
 *   the Actor the player character; any Actor can serve as the player
 *   character, and we'll establish this one as the PC in main(), below.  
 */
me: Actor
    /* the initial location */
    location = startRoom
;



/*
 *   The "gameMain" object lets us set the initial player character and
 *   control the game's startup procedure.  Every game must define this
 *   object.  For convenience, we inherit from the library's GameMainDef
 *   class, which defines suitable defaults for most of this object's
 *   required methods and properties.  
 */
gameMain: GameMainDef
    /* the initial player character is 'me' */
    initialPlayerChar = me

    /* 
     *   Show our introductory message.  This is displayed just before the
     *   game starts.  Most games will want to show a prologue here,
     *   setting up the situation for the player, and show the title of the
     *   game.  
     */
    showIntro()
    {
        "Welcome to the TADS 3 Starter Game!\b";
    }

    /* 
     *   Show the "goodbye" message.  This is displayed on our way out,
     *   after the user quits the game.  You don't have to display anything
     *   here, but many games display something here to acknowledge that
     *   the player is ending the session.  
     */
    showGoodbye()
    {
        "<.p>Thanks for playing!\b";
    }
;
